summaryrefslogtreecommitdiff
path: root/standalone/windows
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-05-17 13:16:21 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-05-17 13:16:21 -0400
commit5672626a8e9e13f544989f77e2f7ad953d30c526 (patch)
treececde8bd16b2113c918ac29e76be39a8060e97a2 /standalone/windows
parent1382ec31ef25cfc1426dd9dfa31f7fa4718af9f4 (diff)
fixes
Diffstat (limited to 'standalone/windows')
-rw-r--r--standalone/windows/build.sh2
-rw-r--r--standalone/windows/haskell-patches/MissingH_1.2.0.0-0001-hack-around-strange-build-problem-in-jenkins-autobui.patch4
2 files changed, 3 insertions, 3 deletions
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index fd833d830..ec3efeeb8 100644
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -25,7 +25,7 @@ rm -rf MissingH-1.2.0.0
cabal unpack MissingH
cd MissingH-1.2.0.0
incygwin patch -p1 <../standalone/windows/haskell-patches/MissingH_1.2.0.0-0001-hack-around-strange-build-problem-in-jenkins-autobui.patch
-cabal install --reinstall
+cabal install || true
cd ..
cabal install --only-dependencies -f"$FLAGS"
diff --git a/standalone/windows/haskell-patches/MissingH_1.2.0.0-0001-hack-around-strange-build-problem-in-jenkins-autobui.patch b/standalone/windows/haskell-patches/MissingH_1.2.0.0-0001-hack-around-strange-build-problem-in-jenkins-autobui.patch
index 72aa54e00..be18ff23f 100644
--- a/standalone/windows/haskell-patches/MissingH_1.2.0.0-0001-hack-around-strange-build-problem-in-jenkins-autobui.patch
+++ b/standalone/windows/haskell-patches/MissingH_1.2.0.0-0001-hack-around-strange-build-problem-in-jenkins-autobui.patch
@@ -38,8 +38,8 @@ index 473490d..0eea21b 100644
- accessTime = fromInteger epochtime,
- modificationTime = fromInteger epochtime,
- statusChangeTime = fromInteger epochtime
-+ accessTime = undefined -- fromInteger epochtime,
-+ modificationTime = undefined -- fromInteger epochtime,
++ accessTime = undefined, -- fromInteger epochtime,
++ modificationTime = undefined, -- fromInteger epochtime,
+ statusChangeTime = undefined -- fromInteger epochtime
}
#endif